package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRCertificate;
/**
 * 关系型数据实体[HRCertificate] 查询条件对象
 */
@Slf4j
@Data
public class HRCertificateSearchContext extends QueryWrapperContext<HRCertificate> {

	private String n_hrcertificatename_like;//[证书名称]
	public void setN_hrcertificatename_like(String n_hrcertificatename_like) {
        this.n_hrcertificatename_like = n_hrcertificatename_like;
        if(!ObjectUtils.isEmpty(this.n_hrcertificatename_like)){
            this.getSearchCond().like("hrcertificatename", n_hrcertificatename_like);
        }
    }
	private String n_hremployeeid_eq;//[员工标识]
	public void setN_hremployeeid_eq(String n_hremployeeid_eq) {
        this.n_hremployeeid_eq = n_hremployeeid_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeeid_eq)){
            this.getSearchCond().eq("hremployeeid", n_hremployeeid_eq);
        }
    }
	private String n_hremployeename_eq;//[员工姓名]
	public void setN_hremployeename_eq(String n_hremployeename_eq) {
        this.n_hremployeename_eq = n_hremployeename_eq;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_eq)){
            this.getSearchCond().eq("hremployeename", n_hremployeename_eq);
        }
    }
	private String n_hremployeename_like;//[员工姓名]
	public void setN_hremployeename_like(String n_hremployeename_like) {
        this.n_hremployeename_like = n_hremployeename_like;
        if(!ObjectUtils.isEmpty(this.n_hremployeename_like)){
            this.getSearchCond().like("hremployeename", n_hremployeename_like);
        }
    }
	private String n_registerorganizationid_eq;//[注册单位ID]
	public void setN_registerorganizationid_eq(String n_registerorganizationid_eq) {
        this.n_registerorganizationid_eq = n_registerorganizationid_eq;
        if(!ObjectUtils.isEmpty(this.n_registerorganizationid_eq)){
            this.getSearchCond().eq("registerorganizationid", n_registerorganizationid_eq);
        }
    }
	private String n_registerorganizationname_eq;//[注册单位]
	public void setN_registerorganizationname_eq(String n_registerorganizationname_eq) {
        this.n_registerorganizationname_eq = n_registerorganizationname_eq;
        if(!ObjectUtils.isEmpty(this.n_registerorganizationname_eq)){
            this.getSearchCond().eq("registerorganizationname", n_registerorganizationname_eq);
        }
    }
	private String n_registerorganizationname_like;//[注册单位]
	public void setN_registerorganizationname_like(String n_registerorganizationname_like) {
        this.n_registerorganizationname_like = n_registerorganizationname_like;
        if(!ObjectUtils.isEmpty(this.n_registerorganizationname_like)){
            this.getSearchCond().like("registerorganizationname", n_registerorganizationname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrcertificatename", query)   
            );
		 }
	}
}



